Endpoint usage and cost statistics
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`Endpoint.Stats` + `Get`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div>
</Info>
<Warning>
You can only retrieve data traffic costs for organizations without multi-inclusive volumes.
</Warning>
Retrieves endpoint usage and cost statistics for a given ID.
Usage statistics are sorted by `data` and `sms`.
Returns statistics from the following periods:
- `last_month`: Previous billing month, from the first to last day (for example, April 1-30, 2023, when you send the request sometime in May 2023).
- `current_month`: Current month, with statistics calculated up to and including the date requested (for example, May 1-8, 2023, when you sent the request on May 8, 2023).
- `last_hour`: Previous 60 minutes, accumulated per minute and organized by data or SMS received by the device (`rx`) and transmitted by the device (`tx`).
<Info>
`last_month` and `current_month` are only included in the responses if traffic exists.
</Info>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
endpoint_id
Numeric ID of an endpoint
Response
Successfully returned the endpoint statistics associated with the provided id.
last_month
current_month
last_hour
Errors
403
Forbidden Error